package com.vendor.burn.model.devices.burners;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.model.define.IFastbootProgressMonitor;
import com.vendor.burn.model.devices.burners.DdrCheckBurner;
import com.vendor.burn.model.receive.ReceiveTimeOutException;
import com.vendor.burn.serial.workers.DdrCheckBurnerWorker;
import java.io.IOException;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.core.runtime.jobs.Job;

class null extends Job {
  null(String name) {
    super(name);
  }
  
  protected IStatus run(IProgressMonitor monitor) {
    if (DdrCheckBurner.this.OpenPort(fastbootMonitor, monitor, worker) == Status.CANCEL_STATUS)
      return Status.CANCEL_STATUS; 
    try {
      worker.burn(monitor, DdrCheckBurner.this.getFlashType(), DdrCheckBurner.this.getFile());
    } catch (IOException e) {
      monitor.setCanceled(true);
      if (fastbootMonitor != null && fastbootMonitor.getEvent() != null)
        fastbootMonitor.getEvent().setMessage(e.getMessage()); 
      return Status.CANCEL_STATUS;
    } catch (ReceiveTimeOutException e) {
      monitor.setCanceled(true);
      if (fastbootMonitor != null && fastbootMonitor.getEvent() != null)
        fastbootMonitor.getEvent().setMessage(e.getMessage()); 
      return Status.CANCEL_STATUS;
    } finally {
      worker.close();
    } 
    return Status.OK_STATUS;
  }
}
